Name:		luckybackup
Version:	0.4.6
Release:	1%{?dist}
Summary:	A powerful, fast and reliable backup and sync tool

Group:		Applications/System
License:	GPLv3+
URL:		http://luckybackup.sourceforge.net/index.html
Source0:	http://downloads.sourceforge.net/project/%{name}/%{version}/source/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	qt-devel, desktop-file-utils
Requires:	beesu

%description
luckyBackup is an application that backs-up and/or synchronizes any 
directories with the power of rsync.

It is simple to use, fast (transfers over only changes made and not all data), 
safe (keeps your data safe by checking all declared directories before 
proceeding in any data manipulation ), reliable and fully customizable.

%prep
%setup -q
sed -i 's,/usr/share/doc/luckybackup,/usr/share/doc/luckybackup-%{version},' luckybackup.pro
sed -i 's,/usr/share/doc/luckybackup/license/gpl.html,/usr/share/doc/luckybackup-%{version}/license/gpl.html,' src/global.h
sed -i 's,/usr/share/doc/luckybackup/manual/index.html,/usr/share/doc/luckybackup-%{version}/manual/index.html,' src/global.h
sed -i 's,su-to-root -X -c,/usr/bin/beesu,' menu/%{name}-gnome-su.desktop

%build
qmake-qt4 && make %{?_smp_mflags}

%install
rm -rf %{buildroot}
INSTALL_ROOT=%{buildroot} \
  make install DESTDIR=%{buildroot}

mkdir __doc
mv  %{buildroot}%{_datadir}/doc/%{name}-%{version}/* __doc
rm -rf %{buildroot}%{_datadir}/doc/%{name}-%{version}


%clean
rm -rf %{buildroot}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-kde-su.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-gnome-su.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%defattr(-,root,root,-)
%doc readme/README readme/changelog __doc/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*
%{_datadir}/%{name}
%{_datadir}/man/man8/*.8.*
%{_datadir}/menu
%{_datadir}/pixmaps/%{name}*

%changelog
* Mon Aug 15 2011 Michael J Gruber <mjg@fedoraproject.org> 0.4.6-1
- luckybackup 0.4.6

* Thu Mar 10 2011 Michael J Gruber <mjg@fedoraproject.org> 0.4.5-1
- luckybackup 0.4.5

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 01 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.4.4-1
- luckybackup 0.4.4 bugfix release

* Sun Sep 05 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.4.3-1
- luckybackup 0.4.3 bugfix release

* Sun Aug 29 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.4.2-1
- luckybackup 0.4.2 bugfix release

* Thu Jun 17 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.4.1-1
- luckybackup 0.4.1 bugfix release

* Wed May 19 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.4.0-1
- luckybackup 0.4.0 fixes and improvements

* Sun Mar 07 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.3.5-3
- replace consolekit solution to default (upstream) behavior user and root
- fixes bug #570804
- added Requires beesu

* Mon Feb 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.3.5-2
- Added missing files
- Fixes Bug 565428

* Mon Jan 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.3.5-1
- update to source 0.3.5
- removed luckybackup.desktop

* Thu Nov 26 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.3.3-1
- Initial Fedora release
